#2011, Eulalie Sauthier, Master Thesis


prec_lp<-read.csv("Glaciers/résumé/4st_engel.csv") #importe les données des précipitations
prec_lp<-prec_lp[3]
glaciers_ow <-read.csv("Glaciers/résumé/glaciers_engel.csv") #importe les données des glaciers
glaciers_ow<-glaciers_ow[2:3]
star_gl<-1894 #années de départ
out<-monthtoyear(prec_lp) #transforme les données mensuelles en annuelles
prec_lp_ts<-ts(out,start=(1894),end=(2010),freq=1) #série temporelle
color=rainbow(17)#palette

pdf("../Image/Glaciers_Engel.pdf") #génère la figure
par(mfrow = c(3, 1))
plot(prec_lp_ts,type="h",col="black",ylab=colnames(prec_lp)[3]) 
box(which = "figure")
plot(ts(glaciers_ow[ ,1], start=c(star_gl,1)),col=color[1],type="h",ylab=colnames(glaciers_ow)[1] )
box(which = "figure")
plot(ts(glaciers_ow[ ,2], start=c(star_gl,1)),col=color[2],type="h",ylab=colnames(glaciers_ow)[2])
box(which = "figure")
dev.off()

#génère les scatters
for(j in 1:length(colnames(glaciers_ow))){
glaciers_ow_ts<-ts(glaciers_ow[ ,j], start=c(star_gl,1))
scatter_p_vs_r(prec_lp_ts, glaciers_ow_ts, glaciers_ow, prec_lp ,j,75,200,-150,100)
scatter_p_vs_gl_decal(prec_lp_ts, glaciers_ow_ts, glaciers_ow, prec_lp ,j,75,200,-150,100)
}
